clang-tools 10.0.0

Classes | Namespaces
ExceptionAnalyzer.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "llvm/ADT/SmallSet.h"`
`#include "llvm/ADT/StringSet.h"`
Include dependency graph for ExceptionAnalyzer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::utils::ExceptionAnalyzer
| This class analysis if a `FunctionDecl` can in principle throw an exception, either directly or indirectly. More...
class | clang::tidy::utils::ExceptionAnalyzer::ExceptionInfo
| Bundle the gathered information about an entity like a function regarding it's exception behaviour. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::utils